aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJan200101 <sentrycraft123@gmail.com>2022-07-21 15:12:41 +0200
committerJan200101 <sentrycraft123@gmail.com>2022-07-21 15:12:41 +0200
commit7909d89fa3a041ae157d19b4a22f73f3f1bac3d7 (patch)
tree113ff27314167ef44d50392a51ea1d2e62154c5e
parent027cfbd2cd212760424b2fa96bd6aeb755c53155 (diff)
downloadcgci-7909d89fa3a041ae157d19b4a22f73f3f1bac3d7.tar.gz
cgci-7909d89fa3a041ae157d19b4a22f73f3f1bac3d7.zip
adjust styling, duplicate stderr into stdout
-rw-r--r--base.css26
-rwxr-xr-xbuild_litexl.sh16
-rwxr-xr-xbuild_polecat.sh30
-rw-r--r--src/build.c2
-rw-r--r--src/ui.c2
5 files changed, 66 insertions, 10 deletions
diff --git a/base.css b/base.css
index 4d212b6..0a3c994 100644
--- a/base.css
+++ b/base.css
@@ -12,11 +12,9 @@
--content-failure-color: red;
--content-unknown-content: '?';
--content-unknown-color: gray;
-}
-}
-html {
font-family: sans-serif;
+ font-size: 90%;
}
table {
@@ -35,12 +33,13 @@ table {
}
.tabs .active {
+ padding: 2px 0.7em;
background-color: var(--tab-color);
}
.tabs tbody td {
- padding: 0;
- padding-right: 10px;
+ padding: 2px 0.7em;
+ padding-bottom: 0;
border-bottom-style: solid;
border-color: var(--tab-color);
}
@@ -127,13 +126,13 @@ table {
}
.build-info *:link,
+.build-info *:visited,
.build-info *:link:hover {
color: blue;
}
-*:link,
-*:visited,
-*:link:hover
+a:link,
+a:visited
{
color: inherit;
text-decoration: inherit;
@@ -142,3 +141,14 @@ table {
a:link:hover {
text-decoration: underline;
}
+
+.log {
+ margin-top: 20px;
+ padding: 15px;
+ border: 2px solid;
+ background-color: black;
+ color: white;
+ max-width: 650px;
+ overflow: scroll;
+}
+
diff --git a/build_litexl.sh b/build_litexl.sh
new file mode 100755
index 0000000..42a91b1
--- /dev/null
+++ b/build_litexl.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+
+TEMP_DIR="$(mktemp -d)"
+function cleanup {
+ rm -rf $TEMP_DIR
+}
+trap cleanup EXIT
+
+cd $TEMP_DIR
+
+git clone https://github.com/lite-xl/lite-xl repo
+cd repo
+
+meson build -Dwrap_mode=forcefallback
+ninja -C build
diff --git a/build_polecat.sh b/build_polecat.sh
new file mode 100755
index 0000000..545226a
--- /dev/null
+++ b/build_polecat.sh
@@ -0,0 +1,30 @@
+set -e
+
+TEMP_DIR="$(mktemp -d)"
+function cleanup {
+ rm -rf $TEMP_DIR
+}
+trap cleanup EXIT
+
+cd $TEMP_DIR
+
+echo ======== CLONING ========
+
+git clone https://github.com/Jan200101/polecat repo
+cd repo
+
+echo ======== BUILDING ========
+
+mkdir build
+cd build
+cmake .. -DBUILD_MOCK=ON -DENABLE_LUTRIS=ON
+make
+
+echo ======== RUNNING TESTS ========
+
+export XDG_DATA_HOME="$TEMP_DIR/data"
+
+./polecat_mock wine list
+./polecat_mock wine download mock
+./polecat_mock wine run mock test
+./polecat_mock wine remove mock
diff --git a/src/build.c b/src/build.c
index 4c7667d..0c4214f 100644
--- a/src/build.c
+++ b/src/build.c
@@ -97,7 +97,7 @@ void create_build()
strcat(build_path, "/log");
freopen(build_path, "w", stdout);
- freopen(build_path, "w", stderr);
+ dup2(1, 2);
free(build_path);
}
diff --git a/src/ui.c b/src/ui.c
index 2740ef7..53ef358 100644
--- a/src/ui.c
+++ b/src/ui.c
@@ -203,7 +203,7 @@ void print_build_info()
"</tr>-->"
"</tbody>"
"</table>"
- "<pre>%s</pre>",
+ "<pre class=\"log\">%s</pre>",
current_build->name, time, current_build->completion ? buildtime : "",
build_class[current_build->status], build_string[current_build->status],
current_project->name, current_build->name,